curl --request GET \
--url https://production.trackstarhq.com/wms/returns \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/wms/returns"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/wms/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "return_id",
"warehouse_customer_id": "warehouse_customer_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"status": "open",
"raw_status": "raw_status",
"order_id": "order_id",
"notes": [
"This is a note"
],
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"expected_quantity": 1,
"received_quantity": 1,
"restocked_quantity": 1,
"return_reason": "Too Small"
}
],
"shipments": [
{
"tracking_number": "tracking_number",
"shipped_date": "2023-02-03T02:04:06Z",
"arrived_date": "2023-02-03T02:04:06Z",
"warehouse_id": "warehouse_id",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "FDXG",
"shipping_cost": 1.23,
"measurements": {
"length": 1,
"width": 1,
"height": 1,
"unit": "in",
"weight": 1,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 4,
"receiving_details": [
{
"quantity": 1,
"condition": "good",
"disposition": "restocked"
},
{
"quantity": 1,
"condition": "damaged",
"disposition": "scrapped"
}
]
}
]
}
],
"external_system_url": "https://example.com/return/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-03-15T13:45:30Z",
"trackstar_updated_date": "2023-03-15T13:45:30Z"
}
],
"next_token": "next_token",
"total_count": 1
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Get All Returns
Returns all Returns for the WMS connection associated with the provided access token.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Query Parameters
The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.
"page_token"
The maximum number of items to return. The default is 1000.
1 <= x <= 10001000
Show child attributes
Show child attributes
Use this parameter to retrieve items filtered to a specific date range. For example, to get all items between 2023-03-10 and 2023-03-22, you would send created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z. See the filtering docs for more. The date format must always be YYYY-MM-DDTHH:MM:SSZ.
Note: it is much more efficient to use a combination of gte/lte than it is to use gt/lt.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Filter by trackstar tags. Dict-shaped tags should be queried as "key:value" strings.
Show child attributes
Show child attributes
The status of the return. See the return information [blocked] for more details.
Show child attributes
Show child attributes
The ID of the customer associated with the resource
Show child attributes
Show child attributes
The ID of the order that the return is associated with.
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
See pagination for more details.
"next_token"
The number of items returned.
1